package com.pcloud.book.skill.biz;

import com.pcloud.book.skill.entity.PcloudSkill;
import com.pcloud.common.page.PageBeanNew;

public interface PcloudSkillBiz {
    void createPcloudSkill(PcloudSkill pcloudSkill);

    void updatePcloudSkill(PcloudSkill pcloudSkill);

    PcloudSkill getPcloudSkill(Long id);

    PageBeanNew<PcloudSkill> getPcloudSkillList(Integer skillType, Integer currentPage, Integer numPerPage);

    void deletePcloudSkill(Long id);

    String setSubscribeState(Long skillId, Integer taskId, String robotWxId, String userWxId, Boolean subState);

    void updateSeqNum(PcloudSkill pcloudSkill);

    void sendResource(Integer id, String wxUserId, String robotId, Integer relSkillId);

    PageBeanNew<PcloudSkill> getPcloudSkillList4Select(Integer skillType, Integer currentPage, Integer numPerPage, String name);

    PcloudSkill getPcloudSkillBaseInfoById(Long id);
}
